<?php

if (isset($ID)) {
  $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$ID' LIMIT 1");
  $file = unserialize($goods['file']);
}

if (!isset($goods['id'])){
$system['title'] = 'Товар не найден';
require SYS . 'header.php';
?><div class='nav1'>К сожалению товар не найден или он был удален</div><?  
//die(__('К сожалению товар не найден или он был удален'));
require SYS . 'end.php';
exit;
}
/*
if ($goods['active'] == '2' && $level < 3 ){
  die(__('К сожалению товар заблокирован'));
}
*/

if ($goods['active'] == 2 AND $goods['id_user'] != $user['id'] AND $level < 3 ){
//die(__('К сожалению товар заблокирован'));
$system['title'] = 'Товар в Бане';
require SYS . 'header.php';
?><div class='nav1'>К сожалению товар заблокирован</div><?  
require SYS . 'end.php';
exit;
}

if ($goods['unlink'] == 1 && $level < 3) {
  //die(__('Ошибка: Товар удален'));
$system['title'] = 'Товар Удален';
require SYS . 'header.php';
?><div class='nav1'>Ошибка: Товар удален</div><?  
require SYS . 'end.php';
exit;
}

if ($level > 0 && isset($_GET['download'])) {
  $pays = $sql -> fetch("SELECT * FROM `shop_pays` WHERE `id_user` = '$user[id]' AND `id_goods` = '$goods[id]' AND `pays` = '1' LIMIT 1");
  
  if ((isset($pays['id']) && $pays['pays'] == 1) || $user['id'] == $goods['id_user'] || $level > 2) {
    if (is_file(FILES . 'shop/' . $file['cache'] . '.dat')) {
      
      if ($goods['id_user'] != $user['id'] && !isset($pays['id'])) {
        admin_log($user['id'], 'Магазин|Просмотр товара', "Скачивание архива товара [url=/goods/" . $goods['id'] . "]" . $goods['name'] . "[/url]");
      }
      
      DownloadFile(FILES . 'shop/' . $file['cache'] . '.dat', latin($file['name']) . '.' . $file['ras'], $file['type']);
      exit;
    }    
  }
}

if (isset($_GET['pro']) && $_GET['_pro'] >= 0 && $_GET['pro'] <= 1 && $level > 2) {
  $brodg = (int) $_GET['pro'];
  $sql -> update("UPDATE `shop_goods` SET `admin_pro` = '$brodg' WHERE `id` = '$goods[id]' LIMIT 1");
  
  if ($brodg == 1) {
   $name = 'Нет Товара в Архиве';
  } elseif ($brodg == 0) {
   $name = 'Есть товар в Архиве';
  }

  $_SESSION['message'] = ' ' . $name . '';
  header('Location: /goods/' . $goods['id']);
  exit;
}

if (isset($_GET['status']) && $_GET['status'] >= 0 && $_GET['status'] <= 2 && $level > 2) {
  $status = (int) $_GET['status'];
  $sql -> update("UPDATE `shop_goods` SET `active` = '$status' WHERE `id` = '$goods[id]' LIMIT 1");
  
  if ($status == 1) {
   $name = ' одобрен ';
  } elseif ($status == 2) {
   $name = ' заблокирован ';
  } elseif ($status == 0) {
   $name = ' приостановлен ';
  }
  
  journal($goods['id_user'], 'goods', "Ваш товар [url=/goods/" . $goods['id'] . "]" . $goods['name'] . "[/url] $name для участия в продажах.");
  
  if (function_exists('mail')) {
$email = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . $goods['id_user'] . "' AND `date_last` < '". time() ."' LIMIT 1");

    if ($email['em_mod'] == 1) {
			// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $email['login'], // {hello} . Приветствие  
	'message' => 'Ваш товар '. $goods['name'] .' выставленный на Торговой Площадке http://' . $_SERVER['HTTP_HOST'] . ',  '.$name.' для участия в продажах.
			', // обязательно текст письма, но само зависит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/goods/'. $goods['id'], // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => ''. $goods['name'] .'' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Ваш товар проверен';  // обязательно заголовок письма
        $addAdress = $email['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {

        }
else  echo $OutMailer; // если есть ошибки, их покажет
}

/*
if ($email['icq_mod'] == 1) {
if($email['icq']!=NULL){
require FUNC . 'WebIcqLite.class.php';
define('UIN', 687336743);
define('PASSWORD', 'qazxswedc123');

$icq = new WebIcqLite();

if($icq->connect(UIN, PASSWORD)){
$bro= 'Система оповещений 4i4i.Ru: 
Ваш товар ' . $goods['name'] . ' '.$name.' для участия в продажах. ';
$bro = iconv('UTF-8', 'CP1251', ' '.$bro.' ');
if(!$icq->send_message(''.$email['icq'].'',' '.$bro.' '))
{
//echo $icq->error;
}
}
}
}
*/


  }
  
  $_SESSION['message'] = 'Товар ' . $name . ' для продаж';
  header('Location: /goods/' . $goods['id']);
  exit;
}

$category = $sql -> fetch('SELECT * FROM `shop_category` WHERE `id` = ' . $goods['id_category']);

$exp = explode("/", $category['id_category']);
foreach($exp AS $atr => $int){
  if (is_numeric($int)) {
    $_ids[] = $int;
  }
}

$LINKS = '';
$addkey = ' ';

if (isset($_ids)){
  foreach ($_ids AS $anut => $ids){
    $cate = $sql -> fetch('SELECT * FROM `shop_category` WHERE `id` = ' . $ids);
    $LINKS .= '<li><a href="/shop/' . $cate['links'] . '">' . text($cate['name']) . '</a></li>';
    $addkey .= $cate['name'] . ', ';
  } 
}
$LINKS .= '<li><a href="/shop/' . $category['links'] . '">' . text($category['name']) . '</a></li>';
$addkey .= $category['name'];

$system['meta_description'] = text(text_str($goods['msg']));

$system['title'] = '&laquo;' . __('Купить') . ' - ' . text($goods['name']) . '&raquo;';
require SYS . 'header.php';
?>
<div class="foot">
  <ol class="breadcrumb">
    <?= $LINKS?>
  </ol>
</div>

<div class="nav2">
    
    <? /*if ($level > 0 && $user['id'] == $goods['id_user'] || $level >2) { ?>
    <ul class="nav nav-pills">
        <li>
            <?  $_if = $_SESSION['profiwm']['goods'][$goods['id']]['time'] < time();
             if ($_if) {
            	$_API = file_get_contents("https://profiwm.ru/api/4i4i.php?page=theme&id=" . $goods['id']);
            	$_API = (int) json_decode($_API);
            	if (($_API) > 0) {
            		$_SESSION['profiwm']['goods'][$goods['id']]['time'] = time() + 999999;
            		$_SESSION['profiwm']['goods'][$goods['id']]['theme'] = (int) $_API;
            	} else {
            		$_SESSION['profiwm']['goods'][$goods['id']]['time'] = time() + 15;
            		$_SESSION['profiwm']['goods'][$goods['id']]['theme'] = false;
            	}
             }  ?>
             
             <? if (!is_int($_SESSION['profiwm']['goods'][$goods['id']]['theme'])): ?>
        	    <b><a href="https://profiwm.ru/forum.php?mod=p&id=3&p=4&nt=1&api=4i4i&tid=<?= $goods['id']; ?>&hash=<?= md5($goods['file']); ?>">Создать тему на ProfiWm.com</a></b>
             <? else: ?>
             	<b><a href="https://profiwm.ru/forum/thema<?= (int) $_SESSION['profiwm']['goods'][$goods['id']]['theme']; ?>">Перейти в тему товара на ProfiWm.com</a></b>
             <? endif; ?>
        </li>
    </ul>
    <? } */?>
    
    
<? if ($level > 2) { ?>
<ul class="nav nav-pills">
  <li <?= ($goods['active'] == '0' ? 'class="disabled"' : '')?>><a href="/goods/<?= $ID?>&amp;status=0"><?= __('На модерации')?></a></li>
  <li <?= ($goods['active'] == '1' ? 'class="disabled"' : '')?>><a href="/goods/<?= $ID?>&amp;status=1"><?= __('Одобрен')?></a></li>
  <li <?= ($goods['active'] == '2' ? 'class="disabled"' : '')?>><a href="/goods/<?= $ID?>&amp;status=2"><?= __('Заблокирован')?></a></li>
</ul>
<?
}
?>
<? if ($level > 2) { ?>
<ul class="nav nav-pills">
  <li <?= ($goods['admin_pro'] == '0' ? 'class="disabled"' : '')?>><a href="/goods/<?= $ID?>&amp;pro=0"><?= __('Есть Архив')?></a></li>
  <li <?= ($goods['admin_pro'] == '1' ? 'class="disabled"' : '')?>><a href="/goods/<?= $ID?>&amp;pro=1"><?= __('Нет Архива')?></a></li>
</ul>
<?
}
?>

<center class="div_3"><b><div class="div_4"><?= text($goods['name'])?></div></b></center>

<? if ($goods['admin_pro']==1){?><div class="nav2"><font color="red">

В архиве товар не обнаружен в связи с этим покупку Вы осуществляете на свой страх и риск. 
Администрация не может гарантировать что товар который Вы получите будет соответствовать ниже приведённому описанию. 

</font></div><?}?>

<link rel="stylesheet" href="/_src/ajax/style/shopAjax.css" type="text/css"/>
<script type="text/javascript" src="/_src/ajax/jquery.js"></script>
<script type="text/javascript" src="/_src/ajax/facebox.js"></script>
<script type="text/javascript">

jQuery(document).ready(function($) {

$('a[rel*=facebox]').facebox({

loading_image : '/_src/ajax/style/icons/loading.gif',

close_image   : '/_src/ajax/style/icons/closelabel.gif'

}) 

})

</script>

<center>
<?
if ($goods['screens']) {
  $screen = unserialize($goods['screens']);

  for ($i = 0; $i < count($screen); $i++) {

if (isset($_SESSION['guest_theme']) && $_SESSION['guest_theme'] == 'web' && !isset($user)) {
?><a href="/_images/screen/shop/<?= $screen[$i]?>.png" rel="facebox"><?
}else

if (isset($user) && $user['design']== 'slate'){
?><a href="/_images/screen/shop/<?= $screen[$i]?>.png" rel="facebox"><?
}else{
    ?><a href="/_images/screen/shop/<?= $screen[$i]?>.png" ><?}?>

<img class="img-polaroid" src="/_src/img.php?link=<?= base64_encode(SRC.'screen/shop/' . $screen[$i] . '.png')?>&type=<?= ($i == 0 ? 2 : '0&amp;heigh=56&amp;width=56')?>" style="margin: 1px;" alt="<?= text($goods['name'])?>" /></a><?= ($i == 0 ? '<br />' : '')?> <?
    if ($i == 2 && !isset($_GET['allscreen'])){
      break;
    }
  }
  
  if (count($screen) > 3 && !isset($_GET['allscreen'])) {
    ?><div><a href="/goods/<?= $ID?>&amp;allscreen"><?= __('Еще скриншоты')?> &raquo;</a></div><?
  }
}
?>
</center>
</div>


<div class="nav1">
<?= __('Описание')?>: <?= text_out($goods['msg'])?>
</div>

<div class="nav2">
<?= __('Продавец')?>: <?= login($goods['id_user'], 1)?> <?= ($level > 0 && $user['id'] != $goods['id_user'] && $sql -> selectCount("SELECT COUNT(*) FROM `shop_spy` WHERE `id_author` = '$goods[id_user]' AND `id_user` = '$user[id]'") == 0 ? '[<a href="?func=user.spy&amp;set=' . $goods['id_user'] . '">' . __('подписка') . '</a>]' : '')?><br />
<?= __('Дата добавления')?>: <?= vremja($goods['time'])?><br />
<?= __('Размер файла')?>: <?= size_file($file['size'])?><br />
<?= __('Цена')?>: <span class="on"><b><?= $goods['wmr']?></b> wmr</span><br />
<?$broda = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '".$goods['id_user']."' LIMIT 1");?>
<i class="icon-shopping-cart"></i> <a href ="/seller/<?= $broda['my_links'] ?>"><?= __('Все товары Автора')?></a>
<?
/*
$broda = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '".$goods['id_user']."' LIMIT 1");
      require FUNC . 'incfunc.wmid.php';
      $array = wmid_info($broda['wmid'], 'wmid');
      echo $array['type'];
*/
?>
</div>

<div class="nav1">
<? if ($level > 0 && (isset($pays['id']) || $user['id'] == $goods['id_user'])) { ?>
  <center><a href="/shop/goods/<?= $goods['id']?>/download/<?= text(latin($file['name']))?>.<?= text($file['ras'])?>" class="btn btn-inverse"><i class="icon-download-alt icon-white"></i> <?= __('Скачать')?></a></center>
<? } else { ?>
  <? if ($goods['copies'] > $goods['count_pays'] || $goods['copies'] == 0) { ?>
  <center><a href="/?func=shop.payment&amp;id=<?= $goods['id']?>" class="btn btn-inverse"><i class="icon-shopping-cart icon-white"></i> <?= __('Купить')?></a></center>
  <? } else { ?>
  <center><span class="off"><?= __('Все копии проданы')?></span></center>
  <? } ?>
<? } ?>

<? if ($level > 2) { ?>
  <center><a href="/shop/goods/<?= $goods['id']?>/download/<?= text(latin($file['name']))?>.<?= text($file['ras'])?>"><i class="icon-download-alt"></i> <?= __('Просмотр товара')?> <?= size_file(filesize(FILES . 'shop/' . $file['cache'] . '.dat'))?></a></center>
<? } ?>

<? if ($level > 0 && $user['id'] == $goods['id_user']) { ?>
  <center><a href="/?func=service.ads&amp;id_goods=<?= $goods['id']?>"><i class="icon-star"></i> <?= __('Рекламировать товар')?></a></center>
<? } ?>

 <center>
 <br /><?= __('Ссылка на товар')?>:<br />
<? if ($level > 0 && (isset($pays['id']) || $user['id'] == $goods['id_user'])) { ?>
 <input type="text" value="http://<?= text($_SERVER['HTTP_HOST'])?>/goods/<?= $goods['id'] ?>" />
<?}else{?>
 <input type="text" value="http://<?= text($_SERVER['HTTP_HOST'])?>/goods/<?= $goods['id'] . ($level > 0 ? '&ref=' . $user['id'] : '')?>" />
<?}?>
 </center>

</div>

<div class="nav2">
<?= __('Количество копий')?>: <?= ($goods['copies'] == 0 ? __('неограниченно') : $goods['copies'])?><br />
<?= __('Продано')?>: <?= $goods['count_pays']?> <?= __('коп.')?><br /> 
<?
$votes = $sql -> fetch("
SELECT COUNT(*) AS pos,
(SELECT COUNT(*) FROM `shop_votes` WHERE `id_goods` = '$goods[id]' AND `type` = '0') AS 'otr',
(SELECT COUNT(*) FROM `shop_comments` WHERE `id_goods` = '$goods[id]') AS 'comments'
FROM `shop_votes` WHERE `id_goods` = '$goods[id]' AND `type` = '1'");
?>
<?= __('Отзывы от покупателей')?>: [<a href="/?func=shop.votes&id=<?= $goods['id']?>&type=1" style="color: green;"><?= $votes['pos']?></a>/<a href="/?func=shop.votes&id=<?= $goods['id']?>&type=0" style="color: red;"><?= $votes['otr']?></a>]<br /> 
<?= __('Рейтинг товара')?>: (<?= $goods['rating']?>)<br /> 
</div>

<div class="nav2">
<a href="/?func=shop.comments&amp;id=<?= $goods['id']?>"><i class="icon-comment"></i> <?= __('Комментарии')?></a> (<?= $votes['comments']?>)<br />
<? if ($level > 0 && $level < 3 && $goods['id_user'] != $user['id']) { ?>
<a href="/?func=complaint&amp;type=goods&amp;id=<?= $goods['id']?>" style="color: red;"><i class="icon-ban-circle"></i> <?= __('Жалоба на товар')?></a>
<? } ?>
</div>

<? if ($level > 0 && $user['id'] == $goods['id_user'] || $level > 2) { ?>
<div class="foot">
  &raquo; <a href="/?func=shop.goodspays&amp;id=<?= $goods['id']?>"><?= __('Покупатели')?></a> (<?= $goods['count_pays']?>)<br />
  <? if ($user['id'] == $goods['id_user']) { ?>
    &raquo; <a href="/?func=shop.goodsscreens&amp;id=<?= $goods['id']?>"><?= __('Параметры скринов')?></a><br />
    &raquo; <a href="/?func=shop.goodsfile&amp;id=<?= $goods['id']?>"><?= __('Замена архива')?></a><br />
  <? } ?>
  
  &raquo; <a href="/?func=shop.goodsedit&amp;id=<?= $goods['id']?>"><?= __('Параметры товара')?></a><br />
  &raquo; <a href="/?func=shop.goodsdelete&amp;id=<?= $goods['id']?>"><?= __('Удалить товар')?></a><br />
</div>
<? } ?>